Bug 138332 - ddcprobe incorrectly reports 0 MB of video RAM if it detects < 1MB
Summary: ddcprobe incorrectly reports 0 MB of video RAM if it detects < 1MB
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhpl   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-08 12:01 UTC by Barry K. Nathan
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 00:13:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ddcprobe-stub patch to fix this bug (417 bytes, patch)
2004-11-08 12:20 UTC, Barry K. Nathan
no flags Details | Diff

Description Barry K. Nathan 2004-11-08 12:01:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
On a video card where kudzu (or whoever) detects less than 1MB of
video RAM (such as a Diamond FireGL 1000 Pro), ddcprobe claims the
card has 0 MB of RAM. This is misleading.

Version-Release number of selected component (if applicable):
rhpl-0.148-1

How reproducible:
Always

Steps to Reproduce:
1. Set up a machine with a Diamond FireGL 1000 Pro, or with another
card that pretends (from kudzu's POV) to have less than 1MB of RAM, or
with a card that actually has less than 1MB of RAM. (I know this is
impractical for Red Hat to do, but you *do* want steps for reproducing
this bug, right?)
2. Install a Red Hat, FC, or RHEL distribution from (I think) the last
several years. (FC1 or later will definitely suffice.)
3. As root, run /usr/sbin/ddcprobe
    

Actual Results:  Memory (MB):  0

Expected Results:  One of the following:
Memory (KB):  512

Memory: 0MB (512KB)

Memory: 512KB

Memory (MB):  0
Memory (KB):  512

or *at least* (although this is ugly IMO):
Memory (MB):  0.5


Additional info:

I was going to write a patch, but then I realized that I'm not sure
how the output should be formatted. I might write and attach a patch
anyway (against FC3) though.

Comment 1 Barry K. Nathan 2004-11-08 12:20:59 UTC
Created attachment 106276 [details]
ddcprobe-stub patch to fix this bug

This patch still displays in MB if the amount of video RAM is divisible by
1024K, and displays in KB otherwise. I've tested it on both a Diamond FireGL
1000 Pro (now it tells me 512KB) and a 16MB nVidia Riva TNT2 (output is
unchanged, it still says 16MB).

Comment 2 Jeremy Katz 2004-11-08 15:52:48 UTC
Basically committed to CVS -- changed the test to be if mem < 1024 so
that cards that do something weird like report 64.5 MB would still
report 64 (not that I know of any of those, but still)

Comment 3 Barry K. Nathan 2004-11-08 16:17:09 UTC
Sounds good to me. Thanks!


Note You need to log in before you can comment on or make changes to this bug.